Bug 467594 - Fedora fails to Read Micro SD card
Fedora fails to Read Micro SD card
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-18 21:47 EDT by Brad Longo
Modified: 2014-01-16 15:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-18 12:00:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
typescript of "tail -f /var/log/messages" (3.97 KB, text/plain)
2014-01-15 21:36 EST, Peter H. Jones
no flags Details
/var/log/messages when a micro SD card in an adapter is inserted (4.81 KB, text/plain)
2014-01-16 02:21 EST, Peter H. Jones
no flags Details

  None (edit)
Description Brad Longo 2008-10-18 21:47:26 EDT
Description of problem:
I recently bought a Targus TGR-SD20 card reader because the reviews were good and it supposedly worked on Linux.  However I cannot mount the card at all.

Version-Release number of selected component (if applicable):
uname -a
Linux localhost.localdomain 2.6.26.5-45.fc9.i686 #1 SMP Sat Sep 20 03:45:00 EDT 2008 i686 i686 i386 GNU/Linux

How reproducible:
100%

Steps to Reproduce:
1. plug in card reader
2. try to mount device
3. failure
  
Actual results:


Expected results:


Additional info:  This is from dmesg....

sd 9:0:0:0: [sdb] 3970048 512-byte hardware sectors (2033 MB)
sd 9:0:0:0: [sdb] Write Protect is off
sd 9:0:0:0: [sdb] Mode Sense: 03 00 00 00
sd 9:0:0:0: [sdb] Assuming drive cache: write through
sd 9:0:0:0: [sdb] 3970048 512-byte hardware sectors (2033 MB)
sd 9:0:0:0: [sdb] Write Protect is off
sd 9:0:0:0: [sdb] Mode Sense: 03 00 00 00
sd 9:0:0:0: [sdb] Assuming drive cache: write through
 sdb:<6>usb 1-5: reset high speed USB device using ehci_hcd and address 5
usb 1-5: reset high speed USB device using ehci_hcd and address 5
usb 1-5: reset high speed USB device using ehci_hcd and address 5
end_request: I/O error, dev sdb, sector 0
Dev sdb: unable to read RDB block 0
 unable to read partition table
sd 9:0:0:0: [sdb] 3970048 512-byte hardware sectors (2033 MB)
sd 9:0:0:0: [sdb] Write Protect is off
sd 9:0:0:0: [sdb] Mode Sense: 03 00 00 00
sd 9:0:0:0: [sdb] Assuming drive cache: write through
sd 9:0:0:0: [sdb] 3970048 512-byte hardware sectors (2033 MB)
sd 9:0:0:0: [sdb] Write Protect is off
sd 9:0:0:0: [sdb] Mode Sense: 03 00 00 00
sd 9:0:0:0: [sdb] Assuming drive cache: write through
 sdb:<6>usb 1-5: reset high speed USB device using ehci_hcd and address 5
usb 1-5: reset high speed USB device using ehci_hcd and address 5
usb 1-5: reset high speed USB device using ehci_hcd and address 5
end_request: I/O error, dev sdb, sector 0
__ratelimit: 27 messages suppressed
Buffer I/O error on device sdb, logical block 0
Dev sdb: unable to read RDB block 0
 unable to read partition table
Comment 1 Pete Zaitcev 2009-01-16 15:31:09 EST
This looks like a hardware issue, maybe the specific Targus unit is a lemon.
I've just had a problem of cable not reaching deep enough into a mini-B
socket just now. Worked fine after cutting parts of the connector's plastic.

Does this device work on other systems? Both Windows and Linux are useful.
Comment 2 Brad Longo 2009-01-18 09:06:59 EST
No it didn't work on windows either, and this tells me that it's probably got something to do with hardware.  The strange thing is that the card wouldn't read from a dozen different card readers, that I tried on both windows and Linux, except for one.  In any case the problem is probably not related to Fedora, and therefore I would say you can close this bug.
Comment 3 Peter H. Jones 2014-01-15 21:36:15 EST
Created attachment 850795 [details]
typescript of "tail -f /var/log/messages"
Comment 4 Peter H. Jones 2014-01-16 02:21:29 EST
Created attachment 850879 [details]
/var/log/messages when a micro SD card in an adapter is inserted

Tried installing the adapter, this time with a microSD card in it. I get error messages in /var/log/messages (attached). When I try fdisk -l, this command hangs when it would be time to show the contents of the microSD card.
Comment 5 Peter H. Jones 2014-01-16 02:41:49 EST
Comment 4 was in FC18 on a Toshiba NB555D. Works fine on an HP 61 under FC20.
Comment 6 Pete Zaitcev 2014-01-16 12:34:55 EST
Peter, please open your own bug. Can't you see that your uSD card reports
bad sense? It's nothing like Brad's case.
Comment 7 Peter H. Jones 2014-01-16 15:51:07 EST
Thanks for the suggestion. Since FC18 is at end-of-life, and since this adapter works on another machine type, I'll check under FC19-FC21 on the NB555D and file a new bug if appropriate.

Note You need to log in before you can comment on or make changes to this bug.